Skip to main content
`Ctrl`+`K`

# MatIncreaseOverlap

Given a set of submatrices indicated by index sets, replaces the index sets by larger ones that represent submatrices with additional overlap.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatIncreaseOverlap(Mat mat, PetscInt n, IS is[], PetscInt ov)

Collective

## Input Parameters

- mat - the matrix

- n - the number of index sets

- is - the array of index sets (these index sets will changed during the call)

- ov - the additional overlap requested

## Options Database Key

- -mat_increase_overlap_scalable - use a scalable algorithm to compute the overlap (supported by MPIAIJ matrix)

## Note

The computed overlap preserves the matrix block sizes when the blocks are square. That is: if a matrix nonzero for a given block would increase the overlap all columns associated with that block are included in the overlap regardless of whether each specific column would increase the overlap.

## See Also

Matrices, `Mat`, `PCASM`, `MatSetBlockSize()`, `MatIncreaseOverlapSplit()`, `MatCreateSubMatrices()`

## Level

developer

## Location

src/mat/interface/matrix.c

## Examples

src/ksp/ksp/tutorials/ex82.c

## Implementations

MatIncreaseOverlap_MPIAIJ() in src/mat/impls/aij/mpi/mpiov.c
MatIncreaseOverlap_SeqAIJ() in src/mat/impls/aij/seq/aij.c
MatIncreaseOverlap_MPIBAIJ() in src/mat/impls/baij/mpi/baijov.c
MatIncreaseOverlap_SeqBAIJ() in src/mat/impls/baij/seq/baij2.c
MatIncreaseOverlap_Htool() in src/mat/impls/htool/htool.cxx
MatIncreaseOverlap_IS() in src/mat/impls/is/matis.c
MatIncreaseOverlap_Normal() in src/mat/impls/normal/normm.c
MatIncreaseOverlap_MPISBAIJ() in src/mat/impls/sbaij/mpi/sbaijov.c
MatIncreaseOverlap_SeqSBAIJ() in src/mat/impls/sbaij/seq/sbaij2.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages